Get Appearance Settings
curl --request GET \
--url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/appearance \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Success",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tooltip": "<string>",
"welcomeMessage": "Hi! How can I help you today?",
"inputPlaceholderText": "Type your message...",
"brandPrimaryColor": "#155ded",
"brandTextColor": "#ffffff",
"brandIconBgColor": "#6366f1",
"showBackground": true,
"linkColor": "#6366f1",
"fontSize": 2,
"chatHeight": 80,
"externalLink": "<string>",
"iconSize": "medium",
"iconPosition": "right",
"defaultMode": "widget",
"watermarkBrandIcon": "<string>",
"watermarkBrandText": "<string>",
"watermarkBrandLink": "<string>",
"watermarkBrandInfoShow": true,
"hideWatermarkContextGPT": false,
"rightToLeftMode": false,
"enableDarkMode": false,
"distanceFromBottomDesktop": 20,
"horizontalDistanceDesktop": 20,
"distanceFromBottomMobile": 20,
"horizontalDistanceMobile": 20,
"botIconSrc": "<string>",
"userIconSrc": "<string>",
"agentIconSrc": "<string>",
"bubbleIconSrc": "<string>",
"iconShape": "circle",
"fontFamily": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Appearance
Get Appearance Settings
Fetch the appearance and UI settings for a chatbot
GET
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
appearance
Get Appearance Settings
curl --request GET \
--url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/appearance \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Success",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tooltip": "<string>",
"welcomeMessage": "Hi! How can I help you today?",
"inputPlaceholderText": "Type your message...",
"brandPrimaryColor": "#155ded",
"brandTextColor": "#ffffff",
"brandIconBgColor": "#6366f1",
"showBackground": true,
"linkColor": "#6366f1",
"fontSize": 2,
"chatHeight": 80,
"externalLink": "<string>",
"iconSize": "medium",
"iconPosition": "right",
"defaultMode": "widget",
"watermarkBrandIcon": "<string>",
"watermarkBrandText": "<string>",
"watermarkBrandLink": "<string>",
"watermarkBrandInfoShow": true,
"hideWatermarkContextGPT": false,
"rightToLeftMode": false,
"enableDarkMode": false,
"distanceFromBottomDesktop": 20,
"horizontalDistanceDesktop": 20,
"distanceFromBottomMobile": 20,
"horizontalDistanceMobile": 20,
"botIconSrc": "<string>",
"userIconSrc": "<string>",
"agentIconSrc": "<string>",
"bubbleIconSrc": "<string>",
"iconShape": "circle",
"fontFamily": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"361628903185318481"
⌘I